Bug 604227 - Review Request: gnome-screensaver-iv-scr-en-ru - GNOME Screensaver Slideshow of English irregular verbs
Summary: Review Request: gnome-screensaver-iv-scr-en-ru - GNOME Screensaver Slideshow ...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://shimansky.biz/pages/products_s...
Whiteboard: NotReady
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-06-15 16:42 UTC by Serguei Shimansky
Modified: 2015-08-21 09:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 09:12:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Serguei Shimansky 2010-06-15 16:42:00 UTC
Spec URL: http://pub.shimansky.biz/rpm/SPECS/gnome-screensaver-iv-scr-en-ru.spec
SRPM URL: http://pub.shimansky.biz/rpm/SRPMS/gnome-screensaver-iv-scr-en-ru-0.1-1.src.rpm
Description: GNOME Screensaver Slideshow of English irregular verbs

Comment 1 Bruce Cowan 2010-07-03 12:59:16 UTC
Here's an informal review:

The spec's layout is rather messy, it should conform to the template.

https://fedoraproject.org/wiki/Packaging/Guidelines#Writing_a_package_from_scratch

The Release should contain %{dist}

https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Using_the_.25.7B.3Fdist.7D_Tag

The BuildRoot tag is no longer required

https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

rm -rf $RPM_BUILD_ROOT is not required in %install any more

https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

%clean is no longer required

https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

There is no changelog

https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

Comment 2 Serguei Shimansky 2010-07-03 13:19:12 UTC
Thank you, Bruce -- will reconsider all notes

Comment 3 Jason Tibbitts 2010-11-19 15:06:53 UTC
Was there ever any response to the commentary?

I think this is a good idea for a package, but honestly, isn't there a better way to do it than by having a bunch of images?  Perhaps take a few backgrounds and have the screensaver itself print the text on them?  You could take the various words and translations from a text file, and it wouldn't even have to be language-specific.

Comment 4 Serguei Shimansky 2010-11-19 16:01:09 UTC
Oh yes. Might be released using XML. Thanks for the hint. Will have to think this over.

Comment 5 Mario Blättermann 2012-10-20 21:34:17 UTC
As far as I can see, the current gnome-screensaver won't work with your package. It would be applicable for EPEL 5/6 only. Is it intended to go into these branches? Or are you actually still interested to keep this review request alive?

Comment 6 Miroslav Suchý 2015-08-21 09:12:48 UTC
No response for years. Closing. Feel free to reopen if you want to continue.


Note You need to log in before you can comment on or make changes to this bug.